### Constructor

# WPEJavaScriptCore Exception new_printf

#### Declaration [src]

    JSCException*
    jsc_exception_new_printf (
      JSCContext* context,
      const char* format,
      ...
    )

#### Description [src]

Create a new `JSCException` in `context` using a formatted string for the message.

This method is not directly available to language bindings.

#### Parameters

`context`

  Type: `JSCContext`

  A `JSCContext`.

  The data is owned by the caller of the function.

`format`

  Type: `const char*`

  The string format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.

#### Return value

Type: `JSCException`

A new `JSCException`.

The caller of the function takes ownership of the data, and is responsible for freeing it.